package owg.lgm.ar1;

import owg.lgm.*;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Ground extends Entity
{
    public Ground(double x, double y)
    {
        super(x, y, 0, false, true, true, "graeond", null);
    }
    protected Ground(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    @Override
    public void createEvent()
    {
        alarm[0] = (short)(2);
        if (place_meeting(x+0, y+-64, Diagr.class))
        {
            instance_create(x+0,y+0,Nothing.class);
            destroy();
        }
        if (place_meeting(x+0, y+-64, Diagl.class))
        {
            instance_create(x+0,y+0,Nothing.class);
            destroy();
        }
    }
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            image_single(global.style);
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
}
