package owg.lgm.ar1.accessories;

import owg.lgm.room.CreationCodes;
import owg.lgm.room.Room;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class AR1CreationCodes extends CreationCodes
{
	@Override
	public boolean runCreationCode(String roomName)
	{
		switch (roomName)
		{
		case "town":
		{
			global.style=3;
			global.mzc="country";
			global.hex[0]=288;
			global.hey[0]=512;
			global.hex[1]=864;
			global.hey[1]=640;
			global.hex[2]=1312;
			global.hey[2]=704;
			global.hex[3]=1632;
			global.hey[3]=768;
			global.hex[4]=2112;
			global.hey[4]=640;
			global.hex[5]=2240;
			global.hey[5]=640;
			global.hex[6]=352;
			global.hey[6]=64;

			global.town = true;
			return true;
		}
		case "room99":
		{
			global.style=4;
			global.mzc="whiston";
			global.hex[0]=192;
			global.hey[0]=502;
			global.hex[1]=512;
			global.hey[1]=502;
			global.hex[2]=768;
			global.hey[2]=502;
			global.hex[3]=1024;
			global.hey[3]=502;
			global.elembeen=1;

			global.town = true;
			return true;
		}
		case "jungnuj":
		{
			global.style=9;
			global.junglebeen=1;
			if(global.abzolniu==0)
			{
				global.mzc="jungl";
			}
			else
			{
				global.mzc="towntwo";
			}
			global.hex[0]=128;
			global.hey[0]=320;
			global.hex[1]=4480;
			global.hey[1]=716;
			global.hex[2]=3328;
			global.hey[2]=438;
			global.hex[3]=4224;
			global.hey[3]=96;

			global.town = false;
			return true;
		}
		case "underwater":
		{
			global.style=3;
			global.hex[0]=2240;
			global.hey[0]=246;
			global.hex[1]=1728;
			global.hey[1]=374;
			global.mzc="beatch";


			global.town = false;
			return true;
		}
		case "lavaplace":
		{
			global.style=2;
			global.lavabeen=1;
			global.hex[0]=512;
			global.hey[0]=128;
			global.hex[1]=1728;
			global.hey[1]=374;
			global.mzc="lavapleic";

			global.town = false;
			return true;
		}
		case "hiddenplace":
		{
			global.style=8;
			global.hiddentownbeen=1;
			global.mzc="towntwo";
			if(global.reactdeadevil==2)
				global.reactdeadevil=3;
			global.hex[0]=1078;
			global.hey[0]=1014;
			global.hex[1]=1078;
			global.hey[1]=310;
			global.hex[2]=128;
			global.hey[2]=1014;
			global.hex[3]=320;
			global.hey[3]=1014;
			global.hex[4]=576;
			global.hey[4]=1014;
			global.hex[5]=576;
			global.hey[5]=448;
			global.hex[6]=704;
			global.hey[6]=1014;
			if(global.newtown==0)
				global.newtown=1;

			global.town = true;
			return true;
		}
		case "thenbodss":
		{
			sound_stop_all();
			global.style=7;
			global.mzc="boss";

			global.town = false;
			return true;
		}
		case "beeache":
		{
			global.style=3;
			global.mzc="beatch";
			global.hex[0]=2240;
			global.hey[0]=246;
			global.hex[1]=1728;
			global.hey[1]=374;


			global.town = false;
			return true;
		}
		case "credits":
		{
			global.mzc="sound83";

			global.town = false;
			return true;
		}
		case "cavetown":
		{
			global.style=8;
			global.cavetownbeen=1;
			if(global.abzolniu==0)
			{
				global.mzc="blumusc";
			}
			else
			{
				global.mzc="bluermusc";
				Room.CURRENT.backgrounds[0].setBackgroundName("goot");
			}
			global.hex[0]=1408;
			global.hey[0]=822;
			global.hex[1]=320;
			global.hey[1]=1014;
			global.hex[2]=640;
			global.hey[2]=1014;
			global.hex[3]=832;
			global.hey[3]=1014;
			global.hex[4]=1024;
			global.hey[4]=118;
			global.hex[5]=1088;
			global.hey[5]=630;
			global.hex[6]=448;
			global.hey[6]=1014;
			global.hex[7]=128;
			global.hey[7]=1014;

			global.town = true;
			return true;
		}
		case "topofmounte":
		{
			global.style=15;
			global.topbeen=1;
			if(global.abzolniu==0)
			{
				global.mzc="moutop";
			}
			else
			{
				global.mzc="mounotbad";
				Room.CURRENT.backgrounds[1].setBackgroundName("blusky");
			}
			global.hex[1]=384;
			global.hey[1]=374;

			global.town = false;
			return true;
		}
		case "mountainstrm":
		{
			global.style=15;
			global.mountainbeen=1;
			if(global.reactdeadevil==2)
				global.reactdeadevil=3;
			if(global.abzolniu==0)
			{
				sound_loop("windarg");
				global.mzc="moutop";
			}
			else
			{
				global.mzc="mounotbad";
				Room.CURRENT.backgrounds[0].setBackgroundName("blusky");
			}
			global.hex[0]=1408;
			global.hey[0]=1398;
			global.hex[1]=6838;
			global.hey[1]=1078;
			global.hex[2]=4800;
			global.hey[2]=1142;
			global.hex[3]=9216;
			global.hey[3]=118;
			global.hex[4]=480;
			global.hey[4]=1208;
			global.hex[5]=160;
			global.hey[5]=950;

			global.town = false;
			return true;
		}
		case "jungltown":
		{
			global.style=9;
			global.jungletownbeen=1;
			global.hex[0]=224;
			global.hey[0]=950;
			global.hex[1]=800;
			global.hey[1]=1078;
			global.hex[2]=1504;
			global.hey[2]=1078;
			global.hex[3]=2144;
			global.hey[3]=886;
			global.hex[4]=2272;
			global.hey[4]=886;
			global.hex[5]=1216;
			global.hey[5]=374;
			global.hex[6]=1312;
			global.hey[6]=1078;
			global.mzc="towntwo";

			global.town = true;
			return true;
		}
		case "thrwayungle":
		{
			global.style=9;
			global.junglebeen=1;
			global.hex[0]=128;
			global.hey[0]=502;
			global.hex[1]=1600;
			global.hey[1]=608;
			global.hex[2]=4672;
			global.hey[2]=630;
			global.hex[3]=2176;
			global.hey[3]=406;
			global.mzc="towntwo";

			global.town = false;
			return true;
		}
		case "blueplace":
		{
			global.style=8;
			global.bluecavebeen=1;
			if(global.reactdeadevil==2)
				global.reactdeadevil=3;
			if(global.abzolniu==0)
			{
				global.mzc="blumusc";
			}
			else
			{
				global.mzc="bluermusc";
				Room.CURRENT.backgrounds[0].setBackgroundName("goot");
			}
			global.hex[0]=2240;
			global.hey[0]=384;
			global.hex[1]=2176;
			global.hey[1]=2304;
			global.hex[2]=256;
			global.hey[2]=758;
			global.hex[3]=640;
			global.hey[3]=246;
			global.hex[4]=1984;
			global.hey[4]=1184;
			global.blueplac=1;

			global.town = false;
			return true;
		}
		case "jungmetemp":
		{
			global.style=5;
			global.metalbeen=1;
			if(global.abzolniu==0)
			{
				global.mzc="cave";
			}
			else
			{
				global.mzc="sound80";
				Room.CURRENT.backgrounds[1].setBackgroundName("lightcavz");
			}
			global.hex[0]=3072;
			global.hey[0]=192;
			global.hex[1]=192;
			global.hey[1]=640;
			global.hex[2]=320;
			global.hey[2]=1664;
			global.hex[3]=128;
			global.hey[3]=1398;
			if(global.mineopen2==0)
				global.mineopen2=1;

			global.town = false;
			return true;
		}
		case "downintemp":
		{
			global.style=5;
			global.downbeen=1;
			if(global.abzolniu==0)
			{
				global.mzc="cave";
			}
			else
			{
				global.mzc="sound80";
				Room.CURRENT.backgrounds[1].setBackgroundName("lightcavz");
			}
			global.hex[0]=512;
			global.hey[0]=64;
			global.hex[1]=192;
			global.hey[1]=182;
			global.hex[2]=896;
			global.hey[2]=566;

			global.town = false;
			return true;
		}
		case "lowboss":
		{
			global.style=13;
			sound_stop_all();
			global.hex[0]=256;
			global.hey[0]=256;
			global.hex[1]=256;
			global.hey[1]=256;
			global.mzc=null;

			global.town = false;
			return true;
		}
		case "falltojung":
		{
			global.style=7;
			sound_stop_all();
			global.mzc=null;

			global.town = false;
			return true;
		}
		case "uptomounts":
		{
			global.style=11;
			sound_stop_all();
			global.hex[0]=192;
			global.hey[0]=128;
			global.hex[1]=192;
			global.hey[1]=128;
			global.hex[2]=192;
			global.hey[2]=128;
			global.stairbeen=1;
			global.mzc="dastairz";

			global.town = false;
			return true;
		}
		case "endplace":
		{
			sound_stop_all();
			global.style=7;
			global.mzc=null;

			global.town = false;
			return true;
		}
		case "finalboss":
		{
			sound_stop_all();
			global.style=7;
			global.mzc="boss";

			global.town = false;
			return true;
		}
		case "bossright1":
		{
			sound_stop_all();
			global.style=7;
			if(global.onebossdef==0)
			{
				global.mzc="boss";
			}
			else
				global.mzc=null;
			global.hex[2]=320;
			global.hey[2]=182;

			global.town = false;
			return true;
		}
		case "lmntboss":
		{
			sound_stop_all();
			global.style=0;
			global.mzc="boss";

			global.town = false;
			return true;
		}
		case "portals2":
		{
			global.style=4;
			global.mineopen3=1;
			global.hex[0]=192;
			global.hey[0]=214;
			global.hex[1]=192;
			global.hey[1]=214;
			global.mzc="ports";

			global.town = true;
			return true;
		}
		case "enginports3":
		{
			global.style=11;
			global.hex[0]=128;
			global.hey[0]=310;
			global.mzc="ports";

			global.town = true;
			return true;
		}
		case "portaler4":
		{
			global.style=15;
			global.hex[0]=128;
			global.hey[0]=310;
			global.mzc="ports";

			global.town = true;
			return true;
		}
		case "portalkeys":
		{
			global.style=4;
			global.mineopen=2;
			global.hex[0]=256;
			global.hey[0]=384;
			global.mzc="ports";

			global.town = true;
			return true;
		}
		case "finaldoor5":
		{
			global.style=4;
			global.mineopen3=1;
			global.hex[0]=192;
			global.hey[0]=214;
			global.hex[1]=192;
			global.hey[1]=214;
			global.mzc="ports";

			global.town = false;
			return true;
		}
		case "erth":
		{
			global.style=11;
			global.mzc="housingo";

			global.town = true;
			return true;
		}
		case "firr":
		{
			global.style=11;
			global.mzc="housingo";

			global.town = true;
			return true;
		}
		case "whtt":
		{
			global.style=11;
			global.mzc="housingo";

			global.town = true;
			return true;
		}
		case "arri":
		{
			global.style=11;
			global.mzc="housingo";

			global.town = true;
			return true;
		}
		case "newbar":
		{
			global.style=11;
			global.mzc="house";

			global.town = true;
			return true;
		}
		case "keyhoused1":
		{
			global.style=11;
			global.mzc="orachous";

			global.town = true;
			return true;
		}
		case "adviseren2":
		{
			global.style=11;
			global.mzc="housingo";

			global.town = true;
			return true;
		}
		case "indabar":
		{
			global.style=11;
			global.mzc="house";

			global.town = true;
			return true;
		}
		case "jungleinn":
		{
			global.style=11;
			global.mzc="house";

			global.town = true;
			return true;
		}
		case "nobody2":
		{
			global.style=11;
			global.hex[1]=320;
			global.hey[1]=182;
			global.mzc="silenthouse";

			global.town = true;
			return true;
		}
		case "nobodyhous":
		{
			global.style=11;
			global.hex[1]=256;
			global.hey[1]=182;
			global.mzc="silenthouse";

			global.town = true;
			return true;
		}
		case "cinivwen1":
		{
			global.style=11;
			global.mzc="housingo";

			global.town = true;
			return true;
		}
		case "civshouse3":
		{
			global.style=11;
			global.mzc="housingo";

			global.town = true;
			return true;
		}
		case "civshous2":
		{
			global.style=11;
			global.mzc="housingo";

			global.town = true;
			return true;
		}
		case "innanshop":
		{
			global.style=11;
			global.mzc="house";

			global.town = true;
			return true;
		}
		case "medanimal":
		{
			global.style=11;
			global.mzc="housingo";

			global.town = true;
			return true;
		}
		case "bluinn":
		{
			global.style=11;
			global.mzc="bluhousess";

			global.town = true;
			return true;
		}
		case "powerhouse":
		{
			global.style=11;
			global.hex[1]=416;
			global.hey[1]=182;
			global.mzc="machinesound";

			global.town = true;
			return true;
		}
		case "blubar":
		{
			global.style=11;
			global.mzc="bluhousess";

			global.town = true;
			return true;
		}
		case "witchous":
		{
			global.style=11;
			global.mzc="bluhousess";

			global.town = true;
			return true;
		}
		case "guyshous":
		{
			global.style=11;
			global.mzc="bluhousess";

			global.town = true;
			return true;
		}
		case "evilpowerhzz":
		{
			global.style=11;
			global.hex[1]=416;
			global.hey[1]=182;
			global.mzc="boss";

			global.town = false;
			return true;
		}
		case "darkplace":
		{
			global.style=13;
			global.mzc="darkplac";

			global.town = false;
			return true;
		}
		case "vanligstygg":
		{
			global.style=14;
			global.mzc="base";

			global.town = false;
			return true;
		}
		case "wheelcaserd":
		{
			global.style=0;
			sound_stop_all();
			global.mzc=null;

			global.town = false;
			return true;
		}
		case "adplace":
		{
			global.style=14;
			global.hex[0]=128;
			global.hey[0]=320;
			global.hex[1]=4480;
			global.hey[1]=736;
			global.hex[2]=3328;
			global.hey[2]=448;
			global.hex[3]=4224;
			global.hey[3]=96;
			global.mzc="metahole";

			global.town = false;
			return true;
		}
		case "explodings":
		{
			global.style=14;
			global.hex[0]=128;
			global.hey[0]=320;
			global.hex[1]=4480;
			global.hey[1]=736;
			global.hex[2]=3328;
			global.hey[2]=448;
			global.hex[3]=4224;
			global.hey[3]=96;
			global.mzc="jungl";

			global.town = false;
			return true;
		}
		case "odoorboss":
		{
			global.style=2;
			sound_stop_all();
			global.mzc="boss";

			global.town = false;
			return true;
		}
		case "boss3holl":
		{
			sound_stop_all();
			global.style=7;
			global.mzc="boss";

			global.town = false;
			return true;
		}
		case "doorshootn":
		{
			global.style=16;
			sound_play("badstart");
			global.mzc="fakejungha";

			global.town = false;
			return true;
		}
		case "fallgetkard":
		{
			global.style=6;
			global.mzc="falhahaha";

			global.town = false;
			return true;
		}
		case "fakejung":
		{
			global.style=16;
			sound_play("badstart");
			global.hex[0]=256;
			global.hey[0]=256;
			global.hex[1]=3328;
			global.hey[1]=438;
			global.mzc="fakejungha";

			global.town = false;
			return true;
		}
		case "upyoky":
		{
			global.style=3;
			global.mzc="elevater";

			global.town = false;
			return true;
		}
		case "leftofcave":
		{
			global.style=6;
			global.hex[0]=256;
			global.hey[0]=256;
			global.hex[1]=5376;
			global.hey[1]=384;
			global.mzc="redmoun";

			global.town = false;
			return true;
		}
		case "civshous1":
		{
			global.style=11;
			global.mzc="housingo";

			global.town = true;
			return true;
		}
		case "dadesert":
		{
			global.style=3;
			if(global.abzolniu>0)
			{
				global.mzc="country";
			}
			else
			{
				global.mzc="sahara";
			}
			global.hex[0]=256;
			global.hey[0]=256;
			global.hex[1]=5376;
			global.hey[1]=384;

			global.town = false;
			return true;
		}
		case "themountain":
		{
			global.style=7;
			global.hex[0]=192;
			global.hey[0]=832;
			global.hex[1]=1344;
			global.hey[1]=546;
			global.hex[2]=640;
			global.hey[2]=694;
			global.rightbeen=1;
			global.mzc="mountr";

			global.town = false;
			return true;
		}
		case "theminein":
		{
			global.style=12;
			global.minebeen=1;
			if(global.abzolniu==0)
			{
				global.mzc="cave";
			}
			else
			{
				global.mzc="minegood";
				Room.CURRENT.backgrounds[1].setBackgroundName("lightcavz");
			}
			global.hex[0]=3072;
			global.hey[0]=192;
			global.hex[1]=192;
			global.hey[1]=640;
			global.hex[2]=320;
			global.hey[2]=1664;
			if(global.mineopen==0)
				global.mineopen=1;

			global.town = false;
			return true;
		}
		default:
            global.town = false;
			return false;
		}
	}
}
