package owg.lgm.ar1.enemy;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.explodd.Silentex;

import static owg.lgm.GMLib.*;

public class Shotblb1 extends Entity
{
    public Shotblb1(double x, double y)
    {
        super(x, y, 0, false, true, false, "shot1", null);
    }
    protected Shotblb1(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    public int damage;
    
    @Override
    public void createEvent()
    {
        damage = 8;
        sound_play("shoyblob1");
        Animal animal = instance(Animal.class);
        if (animal != null)
        	move_towards_point(animal.x,animal.y,4);
    }
    @Override
    public void destroyEvent()
    {
        instance_create(x+0,y+0,Silentex.class);
    }
    @Override
    public void step()
    {
        if (!place_free(x+0,y+0))
        destroy();
    }
}
