package owg.lgm.ar1.stuff.animals;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.accessories.AR1Dialog;
import owg.lgm.ar1.explodd.Explodd3;
import owg.lgm.ar1.fallers.Object438;
import owg.lgm.ar1.stuff.special.Bigryte;

import static owg.lgm.GMLib.*;

public class Dawitch extends Entity
{
	public Dawitch(double x, double y)
	{
		super(x, y, 0, false, true, false, "witcher", null);
	}
	protected Dawitch(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}
	@Override
	public void createEvent()
	{
		image_speed = 0.5;
	}
	@Override
	public void alarmTriggered(int alarmIndex)
	{
		switch (alarmIndex)
		{
		case 1:
			Bigryte bigryte = instance(Bigryte.class);
			bigryte.intenza = false;
			instance_create(bigryte.x+0,bigryte.y+-36,Explodd3.class);
			instance_create(bigryte.x+0,bigryte.y+-36,Object438.class);
			alarm[2] = (short)(90);
			break;
		case 2:
			new AR1Dialog()
			{
				
				@Override
				public void dialog() throws ConverseException
				{
					show_message("Ah, splendid soup!");
					Animal animal = instance(Animal.class);
					if(animal != null)
					{
						animal.still = 0;
					}
					show_message("You can keep this... Whatever that came out of the soup.");
					alarm[3] = (short)(30);
				}
			}.start();
			break;
		case 3:
			new AR1Dialog()
			{
				
				@Override
				public void dialog() throws ConverseException
				{
					show_message("You now have Absurd Key.");
					sound_play("monny");
					instance_destroy_all(Object438.class);
				}
			}.start();
			break;
		default:
			super.alarmTriggered(alarmIndex);
			break;
		}
	}
}
