package owg.lgm.ar1.stuff.boss;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.enemy.Laser1;
import owg.lgm.ar1.explodd.Explodd2;
import owg.lgm.ar1.fallers.Fall55;

import static owg.lgm.GMLib.*;

public class Boss3killst extends HEVE4
{
    public Boss3killst(double x, double y)
    {
        super(x, y, 2, false, true, false, "Midd", null);
    }
    protected Boss3killst(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    public HEVE1 m;
    
    double sp4, dir4;
    
    @Override
    public void createEvent()
    {
        inv = 0;
        life = 50;
        alarm[2] = (short)(120);
        he4 = 0;
        ve4 = 0;
        sp4 = 96;
        dir4 = 0;
    }
    @Override
    public void destroyEvent()
    {
        instance_create(x+0,y+0,Explodd2.class);
    }
    @Override
    public void beginStep()
    {
        doInvulnerability();
    }
    @Override
    public void step()
    {
        //xprevios = x; ?
        //yprevios = y; ?
        {
            x=m.x-m.he;
            y=m.y-m.ve;
        }
        Animal animal = instance(Animal.class);
        if (animal != null)
        {
            dir4 = point_direction(x,y,animal.x,animal.y);
        }
        he4 = lengthdir_x(sp4, dir4);
        ve4 = lengthdir_y(sp4, dir4);
    }
    @Override
    public void endStep()
    {
    	// No
    }

    Sprite pipesatan = Sprite.get("pipesatan");
    Sprite Midd = Sprite.get("Midd");
    
    @Override
    public void render()
    {
        double d = 1;
        for (int i = 0; i<4; i++)
        {
            d += -1.0/4;
            draw_sprite(pipesatan,dir4/10.0,x+he4*d,y+ve4*d);
        }
        draw_sprite(Midd,-1,x+0,y+0);
    }
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            destroy();
            instance_create(x+-32,y+0,Fall55.class);
            for (int i = 0; i<7; i++)
            instance_create(x+0,y+0,Boomfall.class);
            break;
            case 2:
            alarm[2] = (short)(120);
            instance_create(x+0,y+0,Laser1.class);
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
}
