package owg.lgm.ar1.stuff.special;

import owg.lgm.*;
import owg.lgm.ar1.Tuudna;
import owg.lgm.ar1.Valuer5;
import owg.lgm.ar1.explodd.Explodd2;
import owg.lgm.ar1.fakedollidd.Immetdest;

import static owg.lgm.GMLib.*;

public class Elvabosd extends Elvatblu implements Collider
{
    public Elvabosd(double x, double y)
    {
        super(x, y, -1, false, true, false, "elvator", null);
    }
    protected Elvabosd(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    @Override
    public void createEvent()
    {
        damage = 8;
    }
    @Override
    public void destroyEvent()
    {
        instance_create(x+0,y+0, Explodd2.class);
    }
    @Override
    public void step()
    {
        {
        	Entity qwerty=instance_create(x,y,Immetdest.class);
            qwerty.sprite=sprite;
        }
        //xprevios = x; ?
        //yprevios = y; ?
    }
    @Override
    public void handleCollisions()
    {
        for(Valuer5 other : getCollisions(Valuer5.class))
        {
        	collisionValuer5(other);
            if(isDisposed())
            return;
        }
        for(Tuudna other : getCollisions(Tuudna.class))
        {
        	collisionTuudna(other);
            if(isDisposed())
            return;
        }
        super.handleCollisions();
    }
	protected void collisionTuudna(Tuudna other)
	{
        vspeed=0;
	}
	protected void collisionValuer5(Valuer5 other)
	{
        other.vspeed=-2;
        other.alarm[0] = (short)(2);
	}
}
