package owg.lgm.gl;

import java.nio.ByteBuffer;

import com.jogamp.opengl.GL2ES1;

public class VertexBufferObjectB extends BufferObject
{
	protected ByteBuffer data;
	
	public VertexBufferObjectB(GL2ES1 gl, ByteBuffer data, BufferUsage usage)
	{
		super(GL2ES1.GL_ARRAY_BUFFER, data.position(), data.limit(), usage);
		this.data = data;
		init(gl);
	}
	
	protected VertexBufferObjectB() {
		super(GL2ES1.GL_ARRAY_BUFFER, 0, 0, null);
	}
	
	@Override
	public ByteBuffer getData()
	{
		return data;
	}
	
	public void setData(ByteBuffer data)
	{
		this.data = data;
		this.eOffset = data.position();
		this.eSize = data.remaining();
		replace();
	}
}
