package owg.lgm.gl.fbo;

import com.jogamp.opengl.GL2ES1;

import owg.lgm.gl.Tex2D;

public class Tex2DAttachment extends Attachment
{
	public final Tex2D texture;
	public Tex2DAttachment(AttachmentPoint ap, Tex2D texture)
	{
		super(ap);
		this.texture = texture;
	}
	@Override
	public void attach(GL2ES1 gl)
	{
		gl.glFramebufferTexture2D(GL2ES1.GL_FRAMEBUFFER, attachmentPoint.value, GL2ES1.GL_TEXTURE_2D, texture.getHandle(), 0);
	}
}