package owg.lgm;

import java.util.HashMap;

import owg.lgm.room.CreationCodes;

public class GameConfig
{
	public String name;
	public String[] icons;
	public Object global;
	public CreationCodes creationCodes;
	
	public int polyphony = 16;

	public boolean fullscreen;
	public boolean resizeable;
	public int scaling = 100;
	public boolean stayOnTop;
	public boolean borderless;
	public boolean vsync;
	public int colorOutsideRoom;
	public boolean showCursor;

	public boolean letF4SwitchFullscreen;
	public boolean letF1ShowGameInfo;
	public boolean letEscEndGame;
	public boolean letF5SaveF6Load;
	public boolean letF9Screenshot;
	public boolean treatCloseAsEscape;
	public boolean freezeOnFocusLoss;

	public String splashImage;
	public int splashImageAlpha = 255;
	public boolean scaleProgressBar;
	public String fillerImage;
	public String progressImage;
	
	public double progressX = 0.25;
	public double progressY = 0.7;
	public double progressW = 0.5;
	public double progressH = 0.2;
	
	public int width = 640, height = 480;
	public boolean depthBuffer = false;

	public final HashMap<String, Class<? extends Entity>> objects = new HashMap<>();
}
