package owg.lgm.ar1;

import owg.lgm.*;
import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;
import static owg.lgm.ar1.accessories.AR1Scripts.*;

public class Deaddy extends Entity
{
    public Deaddy(double x, double y)
    {
        super(x, y, 0, false, true, false, null, null);
    }
    protected Deaddy(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    @Override
    public void createEvent()
    {
    	Animal animal = instance(Animal.class);
    	if(animal != null)
    	{
	        hspeed=animal.hspeed*(1+random(2));
	        friction=0.15;
	        vspeed=animal.vspeed*(1+random(1));
	        if (global.cha==0)
	        {
	            if (animal.right==1)
	            {
	                sprite = Sprite.get("deadr1");
	                image_xscale=1;
	                image_yscale=1;
	            }
	            else
	            {
	                sprite = Sprite.get("deadl1");
	                image_xscale=1;
	                image_yscale=1;
	            }
	        }
	        if (global.cha==1)
	        {
	                if (animal.right==1)
	            {
	                sprite = Sprite.get("deadr2");
	                image_xscale=1;
	                image_yscale=1;
	            }
	            else
	            {
	                sprite = Sprite.get("deadl2");
	                image_xscale=1;
	                image_yscale=1;
	            }
	        }
	        if (global.cha==2)
	        {
	            if (animal.right==1)
	            {
	                sprite = Sprite.get("deadr3");
	                image_xscale=1;
	                image_yscale=1;
	            }
	            else
	            {
	                sprite = Sprite.get("deadl3");
	                image_xscale=1;
	                image_yscale=1;
	            }
	        }
	    	animal.destroy();
    	}
        alarm[0] = 120;
    }
    @Override
    public void step()
    {
        if (!place_free(x+0,y+vspeed+1))
        vspeed=0;
        else
        vspeed+=0.25;
        if (!place_free(x+hspeed,y+0))
        hspeed=0;
    }
    
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            showGameOver();
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
}
