package owg.lgm.ar1.enemy;

import owg.lgm.ar1.explodd.Silentex;
import owg.lgm.ar1.stuff.boss.Elemboss;

import static owg.lgm.GMLib.*;

public class Nospid extends Shotblb1
{
    public Nospid(double x, double y)
    {
        super(x, y, 1, false, true, false, "sprite190", null);
    }
    protected Nospid(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    
    @Override
    public void createEvent()
    {
    	Elemboss elemboss = instance(Elemboss.class);
        motion_set(elemboss.dir1,12);
        damage = 20;
        sound_play("shoyblob1");
        image_single(getDirection()/10);
    }
    @Override
    public void destroyEvent()
    {
        instance_create(x+0,y+0,Silentex.class);
    }
    @Override
    public void step()
    {
        if (!place_free(x+0,y+0))
        destroy();
    }
}
