package owg.lgm.ar1.kyz;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.accessories.AR1Dialog;
import static owg.lgm.GMLib.*;

public class Object513 extends Entity
{
    public Object513(double x, double y)
    {
        super(x, y, 0, false, true, false, "weirdkeyx", null);
    }
    protected Object513(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    @Override
    public void createEvent()
    {
        alarm[0] = (short)(60);
    }
    @Override
    public void destroyEvent()
    {
        sound_play("monny");
        Animal animal = instance(Animal.class);
        if(animal != null)
        {
            animal.still = 0;
        }
        dispose();
        new AR1Dialog()
		{
			@Override
			public void dialog() throws ConverseException
			{
		        show_message("You now have: Weird key");
			}
		}.start();
    }
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            destroy();
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
}
