package owg.lgm.ar1.main;

import java.io.IOException;
import java.util.Collections;

import owg.lgm.plaf.Engine;
import owg.lgm.room.TileLayer;
import owg.lgm.util.Letterbox;
import owg.lgm.util.Refactor;

public class AR1Main
{
    public static void main(String[] args) throws IOException
    {
    	Refactor.classNames.put("owg.lgm.gl.VertexBufferObject", "owg.lgm.gl.VertexBufferObjectF");
    	Refactor.classFields.put(TileLayer.Batch.RenderTile.class, Collections.singletonMap("vertexIndex", "vbOffset"));
    	System.getProperties().putIfAbsent(Letterbox.INTEGER_SCALING, "true");
    	new Engine(new AR1GameConfig(), args);
    }
}
