package owg.lgm.ar1.stuff.boss;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.Tuudna;
import owg.lgm.ar1.enemy.Laser1;
import owg.lgm.ar1.enemy.Poisarrw;
import owg.lgm.ar1.fallers.Fall1515;
import owg.lgm.ar1.fallers.Keyz2fall;
import owg.lgm.ar1.stuff.evilballstuf.Boss1basll;
import owg.lgm.ar1.stuff.special.Dorofbos;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Boss1 extends HEVE4 implements Collider
{
    public Boss1(double x, double y)
    {
        super(x, y, 0, false, true, false, "bigsatan", null);
    }
    protected Boss1(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
    {
        super(x, y, depth, persistent, visible, solid, sprite, mask);
    }
    double sp, sp2, sp3, sp4;
    double dir1, dir2, dir3, dir4;
    double dirsp, spsp;
    
    Standomen moog;
    Boss1basll moog2;
    
    @Override
    public void createEvent()
    {
        if (global.onebossdef==1)
        {
            destroy();
            return;
        }
        alarm[2] = (short)(120);
        {
            moog2=instance_create(x,y,Boss1basll.class);
            moog2.m=this;
            
        }
        he4 = 0;
        ve4 = 0;
        sp4 = 96;
        dir4 = 0;
        inv = 0;
        he = 0;
        sp2 = 0;
        sp3 = 0;
        dir3 = 0;
        dir2 = 0;
        ve = 0;
        life = 75;
        he2 = 0;
        ve2 = 0;
        dir1 = 270;
        ve3 = 0;
        he3 = 0;
        dirsp = -2.5;
        sp = 64;
        spsp = 1;
        alarm[1] = (short)(120);
        {
            moog=instance_create(x,y,Standomen.class);
            moog.m=this;
            moog.depth=-1;
        }
        hspeed=1;
    }
    @Override
    public void step()
    {
        Animal animal = instance(Animal.class);
        if (animal != null)
        {
            dir4 = point_direction(x,y,animal.x,animal.y);
        }
        
        Upsidd upsidd = instance(Upsidd.class);
        Downsidd downsidd = instance(Downsidd.class);
        
        he4 = lengthdir_x(sp4, dir4);
        ve4 = lengthdir_y(sp4, dir4);
        sp3 = point_distance(x,y,upsidd.x,upsidd.y);
        dir3 = point_direction(x,y,upsidd.x,upsidd.y);
        he3 = lengthdir_x(sp3, dir3);
        ve3 = lengthdir_y(sp3, dir3);
        sp2 = point_distance(x,y,downsidd.x,downsidd.y);
        dir2 = point_direction(x,y,downsidd.x,downsidd.y);
        he2 = lengthdir_x(sp2, dir2);
        ve2 = lengthdir_y(sp2, dir2);
        sp += spsp;
        dir1 += dirsp;
        he = lengthdir_x(sp, dir1);
        ve = lengthdir_y(sp, dir1);
    }
    
    Sprite pipesatan = Sprite.get("pipesatan");
    Sprite smsatan = Sprite.get("smsatan");
    Sprite bigsatan = Sprite.get("bigsatan");
    
    @Override
    public void render()
    {
        double d = 1;
        for (int i = 0; i<4; i++)
        {
            d += -1.0/4;
            draw_sprite(pipesatan,dir4/10,x+he4*d,y+ve4*d);
        }
        d = 1;
        for (int i = 0; i<10; i++)
        {
            d += -1.0/10;
            draw_sprite(smsatan,-1,x+he*d,y+ve*d);
        }
        d = 1;
        for (int i = 0; i<8; i++)
        {
            d += -1.0/8;
            draw_sprite(smsatan,-1,x+he3*d,y+ve3*d);
        }
        d = 1;
        for (int i = 0; i<6; i++)
        {
            d += -1.0/6;
            draw_sprite(smsatan,-1,x+he2*d,y+ve2*d);
        }
        draw_sprite(bigsatan,-1,x+0,y+0);
    }
    @Override
    public void alarmTriggered(int alarmIndex)
    {
        switch (alarmIndex)
        {
            case 0:
            {
                sound_stop_all();
                if(moog!=null)
                {
                    moog.destroy();
                    moog = null;
                }
                if(moog2!=null)
                {
                    moog2.destroy();
                    moog2 = null;
                }
            }
            global.mzc = null;
            destroy();
            instance_create(x+0,y+0,Poisarrw.class);
            instance_create(x+32,y+0,Keyz2fall.class);
            instance_create(x+-32,y+0,Fall1515.class);
            for (int i = 0; i<7; i++)
            instance_create(x+0,y+0,Boomfall.class);
            instance_destroy_all(Dorofbos.class);
            global.onebossdef = 1;
            break;
            case 1:
            spsp = 0;
            break;
            case 2:
            alarm[2] = (short)(120);
            instance_create(x+0,y+0,Laser1.class);
            break;
            default:
            super.alarmTriggered(alarmIndex);
            break;
        }
    }
    @Override
    public void handleCollisions()
    {
        for(@SuppressWarnings("unused") Tuudna other : getCollisions(Tuudna.class))
        {
            hspeed=-hspeed;
            if(isDisposed())
            return;
        }
        super.handleCollisions();
    }
}
