package owg.lgm.ar1.stuff.boss;

import owg.lgm.*;
import owg.lgm.ar1.Tuudna;
import owg.lgm.ar1.enemy.Poisarrw;
import owg.lgm.ar1.enemy.Shotblb1;
import owg.lgm.ar1.fallers.Fall1515;
import owg.lgm.ar1.fallers.Fallholl2;
import owg.lgm.ar1.stuff.evilballstuf.Boss3ballst;

import static owg.lgm.GMLib.*;

public class Boss3ye extends HEVE2 implements Collider
{
	public Boss3ye(double x, double y)
	{
		super(x, y, 0, false, true, false, "dimml", "bigsatan");
	}
	protected Boss3ye(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}

	Standomen moog, moog4;
	Boss3ballst moog2;
	Boss3killst moog3;

	double dir1, dir2;
	double dirsp, sp, sp2, spsp;
	
	double resumeDir;

	@Override
	public void createEvent()
	{
		{
			//rotating spears idea remember (create, direction+45, create, wait)
			//Skrulling som vil ha deg til aa finne masse skrap hun kan ha i gryta.
		}
		alarm[2] = (short)(120);
		{
			moog2=instance_create(x,y,Boss3ballst.class);
			moog2.m=this;
			moog2.depth=1;
			moog3=instance_create(x,y,Boss3killst.class);
			moog3.m=this;

		}
		alarm[4] = (short)(160);
		inv = 0;
		he = 0;
		dir2 = 135;
		ve = 0;
		life = 100;
		he2 = 0;
		ve2 = 0;
		dir1 = 45;
		dirsp = 1;
		sp = 192;
		spsp = 0;
		alarm[1] = (short)(120);
		{
			moog=instance_create(x,y,Standomen.class);
			moog.m=this;
			moog.depth=-1;
			moog4=instance_create(x,y,Standomen.class);
			moog4.m=this;
			moog4.depth=1;
		}
		hspeed=1;
		resumeDir = 0;
		sp2 = 192;
	}
	@Override
	public void step()
	{
		dir1 += dirsp;
		dir2 += -dirsp;
		sp2 += spsp;
		he2 = lengthdir_x(sp2, dir2)/1.5;
		ve2 = lengthdir_y(sp2, dir2);
		sp += spsp;
		he = lengthdir_x(sp, dir1)/1.5;
		ve = lengthdir_y(sp, dir1);
	}

	Sprite smsatan = Sprite.get("smsatan");
	Sprite dimml = Sprite.get("dimml");

	@Override
	public void render()
	{
		double d = 1;
		for (int i = 0; i<4; i++)
		{
			d += -1.0/4.0;
			draw_sprite(smsatan,0,x+he*d,y+ve*d);
		}
		d = 1;
		for (int i = 0; i<4; i++)
		{
			d += -1.0/4.0;
			draw_sprite(smsatan,0,x+he2*d,y+ve2*d);
		}
		d = 1;
		for (int i = 0; i<4; i++)
		{
			d += -1.0/4.0;
			draw_sprite(smsatan,0,x+-he*d,y+-ve*d);
		}
		d = 1;
		for (int i = 0; i<4; i++)
		{
			d += -1.0/4.0;
			draw_sprite(smsatan,0,x+-he2*d,y+-ve2*d);
		}
		draw_sprite(dimml,-1,x+0,y+0);
	}
	@Override
	public void alarmTriggered(int alarmIndex)
	{
		switch (alarmIndex)
		{
		case 0:
		{
			sound_stop_all();
			if(moog!=null)
			{
				moog.destroy();
				moog = null;
			}
			if(moog2!=null)
			{
				moog2.destroy();
				moog2 = null;
			}
			if(moog3!=null)
			{
				moog3.destroy();
				moog3 = null;
			}
			if(moog4!=null)
			{
				moog4.destroy();
				moog4 = null;
			}
		}
		destroy();
		instance_destroy_all(Boss3killst.class);
		instance_destroy_all(Standomen.class);
		instance_create(x+0,y+0,Poisarrw.class);
		instance_create(x+32,y+0,Fallholl2.class);
		instance_create(x+-32,y+0,Fall1515.class);
		for (int i = 0; i<7; i++)
			instance_create(x+0,y+0,Boomfall.class);
		break;
		case 1:
			spsp = -1;
			alarm[2] = (short)(32);
			sp = 192;
			sp2 = 192;
			break;
		case 2:
			spsp = 1;
			sp = 160;
			alarm[1] = (short)(32);
			sp2 = 160;
			if(hspeed != 0 || vspeed != 0)
				resumeDir = getDirection();
			hspeed = 0;
			vspeed = 0;
			alarm[3] = (short)(30);
			break;
		case 3:
			setDirSp(resumeDir, 1);
			break;
		case 4:
			alarm[4] = (short)(190);
			instance_create(x+0,y+0,Shotblb1.class);
			break;
		default:
			super.alarmTriggered(alarmIndex);
			break;
		}
	}
	@Override
	public void handleCollisions()
	{
		for(@SuppressWarnings("unused") Tuudna other : getCollisions(Tuudna.class))
		{
			hspeed=-hspeed;
			if(hspeed != 0 || vspeed != 0)
				resumeDir = getDirection();
			if(isDisposed())
				return;
		}
		super.handleCollisions();
	}
}
