package owg.lgm.ar1.stuff.boss;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.Invable;

import static owg.lgm.GMLib.*;

public class Evilteleport extends Invable
{
	public Evilteleport(double x, double y)
	{
		super(x, y, 0, false, true, false, "lavamoog", null);
	}
	protected Evilteleport(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}
	@Override
	public void createEvent()
	{
		inv = 90;
	}
	@Override
	public void beginStep()
	{
		doInvulnerability();
	}
	@Override
	public void step()
	{
		Animal animal = instance(Animal.class);
		if(animal != null)
		{
			if (animal.x<x+32)
				hspeed=-3;
			else
				hspeed=3;
			if (animal.y<y+48)
				vspeed=-1.5;
			else
				vspeed=1.5;
		}
	}
	@Override
	public void endStep()
	{
		// No
	}
	
	Sprite enemy6 = Sprite.get("enemy6");
	
	@Override
	public void render()
	{
		draw_sprite(sprite,image_index,x+0,y+0);
		draw_sprite(enemy6,0,x+32,y+32);
	}
}
