package owg.lgm.ar1.stuff.invnous;

import owg.lgm.*;
import owg.lgm.ar1.Animal;
import owg.lgm.ar1.stuff.special.Fallnothings;
import owg.lgm.room.Room;
import owg.lgm.room.Room.ViewData;

import static owg.lgm.ar1.accessories.AR1Globals.global;
import static owg.lgm.GMLib.*;

public class Gravityfakd extends Entity
{
	public Gravityfakd(double x, double y)
	{
		super(x, y, 10, false, false, false, null, null);
	}
	protected Gravityfakd(double x, double y, int depth, boolean persistent, boolean visible, boolean solid, String sprite, String mask)
	{
		super(x, y, depth, persistent, visible, solid, sprite, mask);
	}
	@Override
	public void createEvent()
	{
		if (global.abzolniu>0)
			destroy();
	}
	@Override
	public void step()
	{
		friction=0.30;
		Animal a = instance(Animal.class);

		if (a != null && a.place_free(a.x+128,a.y+0))
		{
			if (a.place_free(a.x+256,a.y+0))
			{
				a.friction=0.2;
				if (!a.place_free(a.x+0,a.y+a.vspeed+1))
				{
					a.hspeed+=-0.15;
				}
				else
				{
					a.hspeed+=-0.3;
				}
			}
			else
			{
				a.friction=0.2;
				if (!a.place_free(a.x+0,a.y+a.vspeed+1))
				{
					a.hspeed+=-0.10;
				}
				else
				{
					a.hspeed+=-0.2;
				}
			}
		}
        ViewData view = Room.CURRENT.views[Room.CURRENT.getViewIndex()];
		if (floor(random(10-1))==0)
			instance_create(view.xview+672+random(128),view.yview+random(480),Fallnothings.class);
		if (floor(random(6-1))==0)
			instance_create(view.xview+672+random(128),view.yview-320+random(1280),Fallnothings.class);
	}
	@Override
	public void roomEnd()
	{
		sound_stop("windarg");
	}
}
