package owg.lgm.gl;

import owg.util.observables.Disposable;
import owg.util.observables.DisposeListenerList;

public class MeshArray implements Disposable
{
	protected final DisposeListenerList disposeListeners = new DisposeListenerList(this);
	
	public final Mesh[] meshes;
	
	public MeshArray(int size)
	{
		meshes = new Mesh[size];
	}
	
	@Override
	public DisposeListenerList disposeListeners()
	{
		return disposeListeners;
	}
}
